
services:

  smtp-server:
    image: andreptb/smtp-server-for-it:0.2.0
    ports:
      - "8280:8080"
    networks:
      - hartmann_nw
    environment:
      - smtp.port=26

  hartmann_postgres:
    image: postgres:11
    volumes:
      - ./sql:/docker-entrypoint-initdb.d
    ports:
      - "5430:5432"
    networks:
      - hartmann_nw
    environment:
      - POSTGRES_HOST_AUTH_METHOD=trust

  hartmann:
    build: .
    ports:
      - "8180:8080"
      - "9990:9990"
    depends_on:
      - hartmann_postgres
    networks:
      - hartmann_nw
    command: ["/srv/wait-for-it.sh", "cue_postgres:5432", "--", "/srv/wildfly/bin/standalone-jacoco.sh", "-b", "0.0.0.0", "-c", "test-standalone.xml"]
    volumes:
      - ./../../../target:/srv/target:z
    
networks:
  hartmann_nw:
volumes:
  jacoco:
